Jailbroken 4.2.1 3gs w/bb 05.15.04 T-Mobile Sim not recognized?? Unlock

Discussion in 'Jailbreaks and iOS Hacks' started by als1626, Mar 20, 2011.

  1. als1626 macrumors newbie

    Joined:
    Nov 27, 2007
    #1
    Hi - I just got a 3GS after years of using an unlocked/JB 2g with no problems. I'm successfully Jailbroken using GP but am still at 05.15.04. Tried to install Snowbreeze through cydia and it seemed to work but my phone is permanently "searching" for the network, so I guess not.

    From reading the forum I'm getting conflicting info as to whether I need to upgrade the BB to 06.15.00 or not. My understanding is I shouldn't do that since I rely on the unlock?

    Totally confused and missing the olden times of 2G if only that darn phone still worked. Can anyone help? I'm not even sure I've given enough info, that's how confused I now am.
    :(
     
  2. hackthatphone macrumors 68000

    hackthatphone

    Joined:
    Jul 28, 2010
    #2
    You aren't unlocking 5.15. you need to go to ipad baseband to unlock. You will most likely lose GPS over 3G, I did on my 3G.
     
  3. als1626, Mar 20, 2011
    Last edited: Mar 20, 2011

    als1626 thread starter macrumors newbie

    Joined:
    Nov 27, 2007
    #3
    So there's no way to do it using Pwnage tool? I thought this post implied you'd be able to do it. http://blog.iphone-dev.org/ I tried using pwnage but wound up stuck at a screen in itunes saying that it was trying to verify my build or something.

    FWIW, since I'm on T-Mob I can't use 3G anyway and I don't care about the compass feature. I'm just trying to have a working phone that will get me through whenever the iphone 5 comes out on Verizon. Under these circumstances, should I just upgrade the baseband so I can unlock? If so, what's the easiest way to do that seeing as I can't get Pwnage to work (I'm on Mac OS)? Sorry for all the questions, this baseband thing is killing me.
     
  4. hackthatphone macrumors 68000

    hackthatphone

    Joined:
    Jul 28, 2010
    #4
    I'm done. I've answered your question, I told you exactly what you need to do.

    If you don't want to accept my answer so be it.

    Follow whatever post you've found and prove me wrong.
     
  5. als1626 thread starter macrumors newbie

    Joined:
    Nov 27, 2007
    #5
    Wow.:eek: Not trying to challenge your genius, dude. Was just asking what the dev team was talking about, seeing as they are the ones who publish jailbreaks in the first place. Thought I made it totally clear I had no clue what I was doing and was just asking, very politely I thought, what the best way to move forward was.
     
  6. Myzhi macrumors 6502a

    Joined:
    Dec 15, 2009
    #6
    You have to use the Ipad 6.15 baseband hack. That's the only way. Pwnagetool allows you to keep your current baseband. That's great if you currently have a unlockable baseband. For example, I have a 3GS phone running 4.1 OS & 4.26 baseband => 4.2.1 OS & 4.26 baseband. In your case, it's does nothing since you still can't unlock if you keep the 5.15 baseband.
     
  7. als1626 thread starter macrumors newbie

    Joined:
    Nov 27, 2007
    #7
    Tyvm for your help, Myzhi. Guess I will suck it up and upgrade the BB as I really need the unlock.
     
  8. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #8
    It looks like you have crappy reading comprehension skills. The only mention of unlock for the 3GS and pwnage is with the iPad bb.
     

Share This Page